<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en-US">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.5"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>DayZ: scripts/4_World/Entities/Grenade_Base/M67Grenade.c Source File</title>
<link href="../../tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../jquery.js"></script>
<script type="text/javascript" src="../../dynsections.js"></script>
<link href="../../navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../resize.js"></script>
<script type="text/javascript" src="../../navtreedata.js"></script>
<script type="text/javascript" src="../../navtree.js"></script>
<link href="../../search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../search/searchdata.js"></script>
<script type="text/javascript" src="../../search/search.js"></script>
<link href="../../doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectlogo"><img alt="Logo" src="../../doxygen_light.png"/></td>
  <td id="projectalign">
   <div id="projectname">DayZ<span id="projectnumber">&#160;1.18.155069</span>
   </div>
   <div id="projectbrief">DayZ Script Documentation Courtecy of P4K1TZ</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.5 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "../../search/",'.html');
/* @license-end */
</script>
<script type="text/javascript" src="../../menudata.js"></script>
<script type="text/javascript" src="../../menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('../../',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(document).ready(function(){initNavTree('db/d73/_m67_grenade_8c_source.html','../../'); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<div id="MSearchResults">
<div class="SRPage">
<div id="SRIndex">
<div id="SRResults"></div>
<div class="SRStatus" id="Loading">Loading...</div>
<div class="SRStatus" id="Searching">Searching...</div>
<div class="SRStatus" id="NoMatches">No Matches</div>
</div>
</div>
</div>
</div>

<div class="header">
  <div class="headertitle"><div class="title">M67Grenade.c</div></div>
</div><!--header-->
<div class="contents">
<a href="../../db/d73/_m67_grenade_8c.html">Go to the documentation of this file.</a><div class="fragment"><div class="line"><a id="l00001" name="l00001"></a><span class="lineno">    1</span><span class="keyword">class </span>M67Grenade <span class="keyword">extends</span> <a class="code hl_class" href="../../d1/d48/class_grenade___base.html">Grenade_Base</a></div>
<div class="line"><a id="l00002" name="l00002"></a><span class="lineno">    2</span>{</div>
<div class="line"><a id="l00003" name="l00003"></a><span class="lineno"><a class="line" href="../../d1/d48/class_grenade___base.html#ae94a1c000836e69e10668c187f23b9dc">    3</a></span>    <span class="keywordtype">void</span> <a class="code hl_function" href="../../d1/d48/class_grenade___base.html#ae94a1c000836e69e10668c187f23b9dc">M67Grenade</a>()</div>
<div class="line"><a id="l00004" name="l00004"></a><span class="lineno">    4</span>    {</div>
<div class="line"><a id="l00005" name="l00005"></a><span class="lineno">    5</span>        <a class="code hl_function" href="../../d0/d0a/_explosives_base_8c.html#ad3e094cf68f7de47f9770099d995a4bb">SetAmmoType</a>(<span class="stringliteral">&quot;M67Grenade_Ammo&quot;</span>);</div>
<div class="line"><a id="l00006" name="l00006"></a><span class="lineno">    6</span>        <a class="code hl_function" href="../../d1/d48/class_grenade___base.html#a45227878978b0c3fc68d2749be4a7059">SetFuseDelay</a>(4);</div>
<div class="line"><a id="l00007" name="l00007"></a><span class="lineno">    7</span>        <a class="code hl_function" href="../../d0/d0a/_explosives_base_8c.html#a7c2b945ed7403ef829ab89abfddb8714">SetParticleExplosion</a>(<a class="code hl_class" href="../../dd/dd2/class_particle_list.html">ParticleList</a>.<a class="code hl_variable" href="../../dd/dd2/class_particle_list.html#a630404e2a0c30b2ee6e1755519bc450d">M67</a>);</div>
<div class="line"><a id="l00008" name="l00008"></a><span class="lineno">    8</span>    }</div>
<div class="line"><a id="l00009" name="l00009"></a><span class="lineno">    9</span> </div>
<div class="line"><a id="l00010" name="l00010"></a><span class="lineno"><a class="line" href="../../d1/d48/class_grenade___base.html#a9453b8900a649ef201835b2ad36a91de">   10</a></span>    <span class="keywordtype">void</span> <a class="code hl_function" href="../../d1/d48/class_grenade___base.html#a9453b8900a649ef201835b2ad36a91de">~M67Grenade</a>() {}</div>
<div class="line"><a id="l00011" name="l00011"></a><span class="lineno">   11</span>}</div>
<div class="ttc" id="a_explosives_base_8c_html_a7c2b945ed7403ef829ab89abfddb8714"><div class="ttname"><a href="../../d0/d0a/_explosives_base_8c.html#a7c2b945ed7403ef829ab89abfddb8714">SetParticleExplosion</a></div><div class="ttdeci">void SetParticleExplosion(int particle)</div><div class="ttdef"><b>Definition:</b> <a href="../../d0/d0a/_explosives_base_8c_source.html#l00209">ExplosivesBase.c:209</a></div></div>
<div class="ttc" id="a_explosives_base_8c_html_ad3e094cf68f7de47f9770099d995a4bb"><div class="ttname"><a href="../../d0/d0a/_explosives_base_8c.html#ad3e094cf68f7de47f9770099d995a4bb">SetAmmoType</a></div><div class="ttdeci">void SetAmmoType(string pAmmoType)</div><div class="ttdef"><b>Definition:</b> <a href="../../d0/d0a/_explosives_base_8c_source.html#l00198">ExplosivesBase.c:198</a></div></div>
<div class="ttc" id="aclass_grenade___base_html"><div class="ttname"><a href="../../d1/d48/class_grenade___base.html">Grenade_Base</a></div><div class="ttdef"><b>Definition:</b> <a href="../../dc/dbc/_flash_grenade_8c_source.html#l00001">FlashGrenade.c:2</a></div></div>
<div class="ttc" id="aclass_grenade___base_html_a45227878978b0c3fc68d2749be4a7059"><div class="ttname"><a href="../../d1/d48/class_grenade___base.html#a45227878978b0c3fc68d2749be4a7059">Grenade_Base::SetFuseDelay</a></div><div class="ttdeci">void SetFuseDelay(float delay)</div><div class="ttdef"><b>Definition:</b> <a href="../../d8/da7/_grenade___base_8c_source.html#l00107">Grenade_Base.c:107</a></div></div>
<div class="ttc" id="aclass_grenade___base_html_a9453b8900a649ef201835b2ad36a91de"><div class="ttname"><a href="../../d1/d48/class_grenade___base.html#a9453b8900a649ef201835b2ad36a91de">Grenade_Base::~M67Grenade</a></div><div class="ttdeci">void ~M67Grenade()</div><div class="ttdef"><b>Definition:</b> <a href="../../db/d73/_m67_grenade_8c_source.html#l00010">M67Grenade.c:10</a></div></div>
<div class="ttc" id="aclass_grenade___base_html_ae94a1c000836e69e10668c187f23b9dc"><div class="ttname"><a href="../../d1/d48/class_grenade___base.html#ae94a1c000836e69e10668c187f23b9dc">Grenade_Base::M67Grenade</a></div><div class="ttdeci">void M67Grenade()</div><div class="ttdef"><b>Definition:</b> <a href="../../db/d73/_m67_grenade_8c_source.html#l00003">M67Grenade.c:3</a></div></div>
<div class="ttc" id="aclass_particle_list_html"><div class="ttname"><a href="../../dd/dd2/class_particle_list.html">ParticleList</a></div><div class="ttdef"><b>Definition:</b> <a href="../../dd/d4f/_particle_list_8c_source.html#l00011">ParticleList.c:12</a></div></div>
<div class="ttc" id="aclass_particle_list_html_a630404e2a0c30b2ee6e1755519bc450d"><div class="ttname"><a href="../../dd/dd2/class_particle_list.html#a630404e2a0c30b2ee6e1755519bc450d">ParticleList::M67</a></div><div class="ttdeci">static const int M67</div><div class="ttdef"><b>Definition:</b> <a href="../../dd/d4f/_particle_list_8c_source.html#l00131">ParticleList.c:131</a></div></div>
</div><!-- fragment --></div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="../../dir_dc42280174b209627d8212c9e40d7e50.html">scripts</a></li><li class="navelem"><a class="el" href="../../dir_2e5c1ab951ac691cd4fc8c5e713c6c8a.html">4_World</a></li><li class="navelem"><a class="el" href="../../dir_d92b8e0605e989b70f343f78d41d5ad9.html">Entities</a></li><li class="navelem"><a class="el" href="../../dir_806847d5bba5024497719a5baaa9b4a0.html">Grenade_Base</a></li><li class="navelem"><a class="el" href="../../db/d73/_m67_grenade_8c.html">M67Grenade.c</a></li>
    <li class="footer">Generated by <a href="https://www.doxygen.org/index.html"><img class="footer" src="../../doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.5 </li>
  </ul>
</div>
</body>
</html>
